.header {
  color: var(--white);
  position: fixed;
  z-index: 100;
  top: 0;
  left: 0;
  width: 100%;
  transition: background-color 0.3s ease;
}

.header .mainscreen .light {
  color: var(--title-color);
}




.header.light-border-bottom {
  border-bottom: 1px solid var(--disabled-bg-color);
}

.header.dark-border-bottom {
  border-bottom: 1px solid color-mix(in oklab, white 6%, transparent);
}

.header.light-border-bottom.header--white,
.header.dark-border-bottom.header--white {
  border-color: transparent;
}

.header.white-header {
  color: var(--title-color);
}

@media (any-hover: hover) {
  .header.white-header .header__sales:hover {
    color: var(--green-dark);
  }
}

.header.white-header .logo__text svg path {
  fill: var(--title-color);
}

.header.white-header .logo__text svg path {
  fill: var(--title-color);
}

.header.white-header .menu__arrow svg,
.header.white-header .language__arrow svg {
  /* stroke: var(--title-color); */
  fill: var(--title-color);
}




.header.white-header .language__icon svg rect {
  fill: var(--secondary-color);
}

@media (any-hover: hover) {
  .header.white-header .search__btn:hover svg circle {
    stroke: var(--green-dark);
  }

  .header.white-header .search__btn:hover svg path,
  .header.white-header .search__btn:hover svg rect {
    fill: var(--green-dark);
  }
}

@media (max-width: 1024px) {

  .header.white-header .header__burger span,
  .header.white-header .header__burger:before,
  .header.white-header .header__burger:after {
    background-color: var(--title-color);
  }
}

@media (any-hover: hover) {

  .header.white-header .header__burger:hover span,
  .header.white-header .header__burger:hover:before,
  .header.white-header .header__burger:hover:after {
    background-color: var(--green-dark);
  }
}

.header.header--white {
  color: var(--title-color);
  background-color: var(--white);
  box-shadow: 0px 4px 16px var(--shadow-color);
}

@media (any-hover: hover) {
  .header.header--white .header__sales:hover {
    color: var(--green-dark);
  }
}

@media (any-hover: hover) {

  .header.header--white .header__burger:hover span,
  .header.header--white .header__burger:hover:before,
  .header.header--white .header__burger:hover:after {
    background-color: var(--green-dark);
  }
}

.header.header--white .header__body {
  padding: 0.8125rem 0;
}

.header.header--white .logo__text svg path {
  fill: var(--title-color);
}

.header.header--white .menu__arrow svg,
.header.header--white .language__arrow svg {
  /* stroke: var(--title-color); */
  fill: var(--title-color);
}

.header.header--white .language__icon svg rect {
  fill: var(--secondary-color);
}

.header.header--white .language__list {
  top: 40px;
}

@media (any-hover: hover) {
  .header.header--white .search__btn:hover svg circle {
    stroke: var(--green-dark);
  }

  .header.header--white .search__btn:hover svg path,
  .header.header--white .search__btn:hover svg rect {
    fill: var(--green-dark);
  }
}

@media (min-width: 992px) {
  .header.header--white .dropdown {
    top: 30px;
    padding-top: 1.625rem;
  }


}

@media (max-width: 1024px) {

  .header.header--white .header__burger span,
  .header.header--white .header__burger:before,
  .header.header--white .header__burger:after {
    background-color: var(--title-color);
  }
}

.header__body {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1.25rem 0;
  transition: padding-top 0.3s ease, padding-bottom 0.3s ease;
}

@media (max-width: 991px) {
  .header__body {
    padding: 0.8125rem 0;
  }
}

@media (max-width: 575px) {
  .header__body {
    overflow: hidden;
  }
}

.header__burger {
  display: none;
}

@media (max-width: 1024px) {
  .header__burger {
    display: block;
    width: 38px;
    height: 38px;
    flex: 0 0 38px;
    position: relative;
    /* left: 10px;
    margin-left: 0.4375rem; */
  }

  @media (any-hover: hover) {

    .header__burger:hover span,
    .header__burger:hover:before,
    .header__burger:hover:after {
      background-color: var(--green-dark);
    }
  }

  .header__burger:before,
  .header__burger:after {
    content: "";
  }

  .header__burger span,
  .header__burger:before,
  .header__burger:after {
    width: 24px;
    height: 2px;
    background-color: var(--white);
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
  }

  .header__burger span {
    top: 50%;
    transform: translate3d(-50%, -50%, 0);
  }

  .header__burger:before {
    top: 10px;
  }

  .header__burger:after {
    bottom: 10px;
  }
}

@media (max-width: 575px) {
  .header__burger {
    left: 6px;
  }
}

/* .header__logo {
  margin-right: 2.5rem;
}

@media (max-width: 1199px) {
  .header__logo {
    margin-right: 2rem;
  }
}

@media (max-width: 991px) {
  .header__logo {
    margin-right: auto;
  }
} */

.header__menu {
  max-height: 24px;
}

.header__buttons {
  display: flex;
  align-items: center;
  /* margin-left: 1rem; */
  gap: 0.5rem;
  position: relative;
  z-index: 11;
}

/* @media (max-width: 1199px) {
  .header__buttons {
    margin-left: 1rem;
  }
} */

@media (max-width: 575px) {
  .header__buttons {
    display: none;
  }

  .header__book {
    display: none;
  }
}

.header__sales {
  color: var(--secondary-color);
  font-size: clamp(0.75rem, 2vw, 0.8125rem);
  line-height: var(--text-small-line-height);
  /* margin-left: 1rem; */
  font-weight: 500;
}

/* @media (max-width: 1199px) {
  .header__sales {
    margin-left: 1rem;
  }
} */

.logo {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 10.29px;
  max-height: 24px;
}

header .logo__icon {
  height: 24px;
}

header .logo__text {
  height: 20px;
}

header:not(.white-header, .header--white) .logo__text {
  color: var(--white);
}

header.white-header .logo__text,
header.header--white .logo__text {
  color: var(--title-color);
}



/* @media (max-width: 1100px) {
  .logo {
    flex: 0 0 121px;
    width: 121px;
  }
}

@media (max-width: 575px) {
  .logo {
    flex: 0 0 92px;
    width: 92px;
  }
} */

/* .logo__icon {
  display: flex;
  flex: 0 0 30px;
}

.logo__icon svg {
  width: 30px;
} */

/* .logo__icon svg path {
  fill: var(--green);
}

@media (max-width: 1100px) {
  .logo__icon {
    flex: 0 0 25px;
  }

  .logo__icon svg {
    width: 25px;
  }
}

@media (max-width: 575px) {
  .logo__icon {
    flex: 0 0 19px;
  }

  .logo__icon svg {
    width: 19px;
  }
}

.logo__text {
  display: flex;
  flex: 0 0 99px;
}

.logo__text svg {
  width: 99px;
}

.white-header .logo__text svg path {
  fill: var(--title-color) !important;
}

.logo__text svg path,
.logo__text svg use {
  fill: var(--white);
} */

/* @media (max-width: 1100px) {
  .logo__text {
    flex: 0 0 84px;
  }

  .logo__text svg {
    width: 84px;
  }
}

@media (max-width: 575px) {
  .logo__text {
    flex: 0 0 63px;
  }

  .logo__text svg {
    width: 63px;
  }
} */

/* menu */
.menu {
  flex: 1 1 auto;
}


.menu__overlay {
  display: none;
}



.menu__bar {
  display: flex;
  align-items: center;
}


.menu__top {
  display: none;
}


.menu__mobile-search {
  width: 24px;
  height: 24px;
  flex: 0 0 24px;
  display: flex;
  align-items: center;
  justify-content: center;
}

@media (any-hover: hover) {
  .menu__mobile-search:hover svg {
    fill: var(--green-dark);
  }
}

.menu__mobile-search svg {
  width: 24px;
}

.menu__mobile-search svg {
  fill: var(--title-color);
}

.menu__close {
  flex: 0 0 24px;
  height: 24px;
  display: flex;
  align-items: center;
  /* padding-left: 0.5rem;
  margin-left: 1rem; */
}

.menu__close svg {
  flex: 0 0 20px;
  width: 20px;
  max-width: 100%;
}

.menu__close svg path {
  stroke: var(--title-color);
}

@media (any-hover: hover) {
  .menu__close:hover svg path {
    stroke: var(--green-dark);
  }
}

@media (any-hover: hover) {
  .menu__item:hover .dropdown {
    opacity: 1;
    visibility: visible;
  }

  .menu__item:hover .menu__link {
    color: var(--green-dark);
    text-decoration: none;
  }

  .menu__item:hover .menu__link .menu__arrow svg {
    /* stroke: var(--green-dark); */
    fill: var(--green-dark);
    transform: rotate(180deg);
  }
}

.menu__item {
  padding-right: 1rem;
  height: 30px;
}

@media (min-width: 992px) {
  .menu__item.menu__item--tablet-menu-open .dropdown {
    opacity: 1;
    visibility: visible;
  }

  .menu__item.menu__item--tablet-menu-open .menu__link {
    color: var(--green-dark);
    text-decoration: none;
  }

  .menu__item.menu__item--tablet-menu-open .menu__link .menu__arrow svg {
    fill: var(--green-dark);
    transform: rotate(180deg);
  }
}

.menu__link {
  line-height: 18px;
  font-size: 13px;
  font-weight: 500;
  display: flex;
  align-items: center;
  gap: 2px;
  color: inherit;
  height: 24px;
}


@media (max-width: 991px) and (any-hover: hover) {
  .menu__link:hover .menu__arrow svg {
    fill: var(--green-dark);
    transform: rotate(0deg);
  }
}

.menu__arrow {
  flex: 0 0 12px;
  width: 12px;
  display: flex;
  align-items: center;
}

.menu__arrow svg {
  width: 12px;
  /* stroke: var(--white);*/
  fill: var(--white);
}

.mainscreen.light .menu__arrow svg {
  width: 12px;
  fill: var(--title-color);
}

@media (max-width: 991px) {
  .menu__arrow {
    transition: transform 0.3s ease;
    width: 24px;
    height: 24px;
    flex: 0 0 24px;
    justify-content: center;
  }

  .menu__arrow svg {
    width: 16px;
    fill: var(--title-color);
  }

  .menu__arrow.menu__arrow--turn {
    transform: rotateZ(180deg);
  }
}

.menu__buttons {
  display: none;
}

@media (max-width: 575px) {
  .menu__buttons {
    display: flex;
    flex-direction: column;
    gap: 0.75rem;
    padding: 1.5rem 1rem 0 1rem;
    width: 100%;
    margin-top: auto;
  }
}

.menu__btn {
  width: 100%;
}

.dropdown {
  position: absolute;
  z-index: 10;
  top: 54px;
  left: 0;
  width: 100%;
  opacity: 0;
  visibility: hidden;
  /* transition: opacity 0.3s ease 0.15s, visibility 0.3s ease 0.15s, top 0.3s ease; */
  transition: top 0.3s ease;
  padding-top: 1rem;
}

@media (min-width: 992px) {
  .dropdown {
    box-shadow: 0px 12px 12px var(--shadow-color);
  }
}

@media (max-width: 991px) {
  .dropdown {
    transition: max-height 0.3s ease;
    opacity: 1;
    visibility: visible;
    position: static;
    padding-top: 0;
    max-height: 0;
    overflow: hidden;
  }
}

.dropdown__wrap {
  background-color: var(--white);
  border-top: 1px solid var(--disabled-bg-color);
}

@media (max-width: 991px) {
  /* .dropdown__container {
    padding: 0 1rem;
  } */

  .dropdown__wrap {
    border-top: 0;
  }
}

.dropdown__body {
  display: flex;
  gap: clamp(2rem, 4vw, 3.5rem);
  padding: clamp(2rem, 3vw, 2.75rem) 0;
}

@media (max-width: 991px) {
  .dropdown__body {
    padding: 0.75rem 1.5rem 1.25rem 1.5rem;
    gap: 0;
    background-color: var(--light-bg);
    border-radius: 12px;
  }
}

.dropdown__list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  row-gap: 1.25rem;
  column-gap: clamp(1.5rem, 3vw, 2.5rem);
}

@media (max-width: 1199px) {
  .dropdown__list {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 991px) {
  .dropdown__list {
    grid-template-columns: 1fr;
    gap: 0;
    width: 100%;
  }
}

.dropdown__link {
  display: flex;
  gap: 0.75rem;
}

@media (any-hover: hover) {
  .dropdown__link:hover .dropdown__caption {
    color: var(--green-dark);
  }
}

@media (max-width: 991px) {
  .dropdown__link {
    padding: 0.5rem 0;
  }
}

.dropdown__icon {
  flex: 0 0 24px;
  width: 24px;
}

.dropdown__icon img {
  border-radius: 0;
}

@media (max-width: 991px) {
  .dropdown__icon {
    display: none;
  }
}

.dropdown__caption {
  color: var(--title-color);
  font-weight: 500;
}

@media (max-width: 991px) {
  .dropdown__caption {
    font-weight: 400;
  }
}

.dropdown__text {
  color: var(--secondary-color);
  margin-top: 0.25rem;
}

@media (max-width: 991px) {
  .dropdown__text {
    display: none;
  }
}

.dropdown__banner {
  flex: 0 0 320px;
}

@media (max-width: 991px) {
  .dropdown__banner {
    display: none;
  }
}

.language {
  display: flex;
  align-items: center;
  position: relative;
  z-index: 11;
}

@media (max-width: 1024px) {
  .language {
    width: 100%;
    border-top: 1px solid var(--disabled-bg-color);
    padding: 1.5rem 0 0 0;
    margin: 0.75rem 0 0 0;
    flex-wrap: wrap;
  }
}

.language__trigger {
  display: flex;
  justify-content: center;
  align-items: center;
  color: inherit;
  width: 24px;
  height: 30px;
}

@media (min-width: 992px) {
  .language__trigger.language__trigger--active .language__arrow {
    transform: rotate(180deg);
  }

  .language__trigger.language__trigger--active .language__icon svg circle,
  .language__trigger.language__trigger--active .language__icon svg path {
    stroke: var(--green);
  }

  .language__trigger.language__trigger--active .language__icon svg rect {
    fill: var(--green);
  }

  .language__trigger.language__trigger--active .language__actual {
    color: var(--green);
  }

  .language__trigger.language__trigger--active .language__arrow svg {
    stroke: var(--green);
  }
}

@media (max-width: 1024px) {
  .language__trigger {
    width: 100%;
    margin-bottom: 0.5rem;
  }

  .language__trigger.language__trigger--mobile-active .language__arrow {
    transform: rotate(180deg);
  }
}

@media (any-hover: hover) {

  .language__trigger:hover .language__icon svg circle,
  .language__trigger:hover .language__icon svg path {
    stroke: var(--green-dark);
  }

  .language__trigger:hover .language__icon svg rect {
    fill: var(--green-dark);
  }

  .language__trigger:hover .language__actual {
    color: var(--green-dark);
  }

  .language__trigger:hover .language__arrow svg {
    stroke: var(--green-dark);
  }
}

.language__icon {
  flex: 0 0 16px;
  width: 16px;
  display: flex;
}

.language__icon svg {
  width: 16px;
}

.language__icon svg circle,
.language__icon svg path {
  stroke: var(--secondary-color);
}

.language__icon svg rect {
  fill: var(--white);
}

@media (max-width: 1024px) {

  .language__icon svg circle,
  .language__icon svg path {
    stroke: var(--title-color);
  }

  .language__icon svg rect {
    fill: var(--title-color);
  }
}

.language__actual {
  font-weight: 500;
  line-height: 1.62;
  margin: 0 0.5rem 0 0.7rem;
  text-transform: uppercase;
  display: none;
}

@media (max-width: 1024px) {
  .language__actual {
    display: block;
    margin: 0 0.5rem;
  }
}

.language__arrow {
  flex: 0 0 11px;
  width: 11px;
  display: none;
}

.language__arrow svg {
  width: 11px;
  stroke: var(--white);
}

@media (max-width: 1024px) {
  .language__arrow {
    margin-left: auto;
    width: 24px;
    height: 24px;
    flex: 0 0 24px;
    justify-content: center;
    transition: transform 0.3s ease;
    display: flex;
  }

  .language__arrow svg {
    stroke: var(--title-color);
    width: 16px;
  }
}

.language__list {
  position: absolute;
  top: 30px;
  left: -35px;
  background-color: var(--white);
  padding: 0.5rem;
  border-radius: 12px;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease, visibility 0.3s ease, top 0.3s ease;
  box-shadow: 0px 4px 16px rgba(122, 133, 147, 0.18);
  display: flex;
  flex-direction: column;
  gap: 0.25rem;
}

@media (min-width: 992px) {
  .language__list.language__list--open {
    opacity: 1;
    visibility: visible;
  }
}

@media (max-width: 1024px) {
  .language__actual {
    font-size: var(--text-medium-desktop);
    line-height: var(--text-medium-line-height);
  }

  .language__list {
    position: static;
    top: unset;
    left: unset;
    background-color: var(--light-bg);
    flex: 0 1 100%;
    padding: 0 0.5rem;
    opacity: 1;
    box-shadow: none;
    visibility: visible;
    max-height: 0;
    overflow: hidden;
    gap: 0.25rem;
    transition: max-height 0.3s ease;
  }

}

.language__link {
  display: flex;
  align-items: center;
  gap: 0.75rem;
  color: var(--text-color);
  padding: 0.5rem 0.75rem;
  border-radius: 8px;
  justify-content: space-between;
}

.language__selected {
  max-height: 16px;
}

.language__link svg path {
  stroke: transparent;
}

.language__link.language__link--active svg path {
  stroke: #3CA955;
}

.language__link.language__link--active {
  background: #F5F7FC;
}

@media (max-width: 1024px) {
  .language__link:first-child {
    margin-top: 0.5rem;
  }

  .language__link:last-child {
    margin-bottom: 0.5rem;
  }

  .language__link.language__link--active {
    background: #EAEFF7;
  }
}



.language__link.language__link--active .language__image {
  border: 2px solid var(--green);
}

@media (any-hover: hover) {
  .language__link.language__link--active:hover .language__image {
    border-color: var(--green-dark);
  }
}

.language__image {
  border-radius: 3px;
  width: 24px;
  flex: 0 0 24px;
  overflow: hidden;
  position: relative;
  height: 16px;
}

.language__option {
  font-size: 14px;
  line-height: 20px;
}

.language__img {
  position: absolute;
  top: 0;
  left: 0;
  object-fit: cover;
  height: 100%;
  width: 100%;
  border-radius: 0;
}

.search {
  display: flex;
  align-items: center;
  /* margin-left: 1rem; */
}

.search-highlight {
  background-color: var(--search-highlight);
}

/* @media (max-width: 1199px) {
  .search {
    margin-left: 0.5rem;
  }
} */

.search__btn {
  width: 24px;
  height: 30px;
  flex: 0 0 24px;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  z-index: 11;
}

@media (max-width: 1024px) {
  .search__btn {
    display: none;
  }
}

.search__btn svg {
  width: 16px;
  flex: 0 0 16px;
}

.search__btn svg circle {
  stroke: var(--secondary-color);
}

.search__btn svg path,
.search__btn svg rect {
  fill: var(--secondary-color);
}

@media (any-hover: hover) {
  .search__btn:hover svg circle {
    stroke: var(--green-dark);
  }

  .search__btn:hover svg path,
  .search__btn:hover svg rect {
    fill: var(--green-dark);
  }
}

.search__overlay {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 20;
  width: 100%;
  height: 100vh;
  background-color: var(--overlay-color);
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease, visibility 0.3s ease;
}

@media (max-width: 991px) {
  .search__overlay {
    overscroll-behavior: contain;
    overflow-y: auto;
    overflow-x: hidden;
    scrollbar-width: none;
  }

  .search__overlay::-webkit-scrollbar {
    width: 0;
  }
}

.search__overlay.search__overlay--open {
  opacity: 1;
  visibility: visible;
}

.search__overlay.search__overlay--open .search__panel {
  transform: translate3d(0, 0, 0);
}

.search__panel {
  background-color: var(--white);
  padding: clamp(0.5rem, 2vw, 2rem) 0;
  transform: translate3d(0, -100%, 0);
  transition: transform 0.3s ease;
}

@media (max-width: 991px) {
  .search__panel {
    min-height: 100%;
    transform: translate3d(-100%, 0, 0);
    padding: 0;
    padding-bottom: 2rem;
  }
}

.search__top {
  display: none;
}

@media (max-width: 1024px) {
  .search__back {
    flex: 0 0 24px;
    width: 24px;
    height: 24px;
    display: flex;
    justify-content: center;
    align-items: center;
  }
}

@media (max-width: 991px) {
  .search__container {
    padding: 0;
  }

  .search__top {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem 0;
    margin-bottom: 2rem;
  }

  .search__back {
    flex: 0 0 24px;
    width: 24px;
    height: 24px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  @media (any-hover: hover) {
    .search__back:hover svg path {
      stroke: var(--green-dark);
    }
  }

  .search__back svg {
    width: 10px;
  }

  .search__back svg path {
    fill: none;
    stroke: var(--title-color);
  }

  .search__caption {
    font-size: var(--text-medium-desktop);
    line-height: 1.33;
  }

  .search__mobile-close {
    height: 38px;
    width: 24px;
    flex: 0 0 24px;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  @media (any-hover: hover) {
    .search__mobile-close:hover svg path {
      stroke: var(--green-dark);
    }
  }

  .search__mobile-close svg {
    width: 20px;
  }

  .search__mobile-close svg path {
    stroke: var(--text-color);
  }
}

.search__wrap {
  display: flex;
  align-items: center;
}

/* @media (max-width: 991px) {
  .search__wrap {
    padding: 0 1rem;
  }
} */

.search__close {
  margin-left: 0.5625rem;
  flex: 0 0 38px;
  height: 38px;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  right: -11px;
}

@media (max-width: 991px) {
  .search__close {
    display: none;
  }
}

.search__close svg {
  flex: 0 0 16px;
  width: 16px;
  max-width: 100%;
}

.search__close svg path {
  stroke: var(--secondary-color);
}

@media (max-width: 767px) {
  .search__close {
    margin-left: 0;
  }
}

@media (any-hover: hover) {
  .search__close:hover svg path {
    stroke: var(--green-dark);
  }
}

.search__recommendations {
  display: flex;
  gap: 0.5rem;
  margin-top: clamp(0.5rem, 2vw, 1rem);
  flex-wrap: wrap;
}

@media (max-width: 1024px) {
  .search__recommendations {
    margin-top: 1.5rem;
    gap: 0.75rem;
  }
}

.mobile-logo {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex: 0 0 93px;
  width: 93px;
  margin-right: auto;
}

.mobile-logo__icon {
  display: flex;
  flex: 0 0 19px;
}

.mobile-logo__icon svg {
  width: 19px;
}

.mobile-logo__icon svg path {
  fill: var(--green);
}

.mobile-logo__text {
  display: flex;
  flex: 0 0 64px;
}

.mobile-logo__text svg {
  width: 64px;
}

.mobile-logo__text svg path {
  fill: var(--title-color);
}


.header__body_menu {
  display: flex;
  gap: 2rem
}

.header__right,
.header__search,
.header_links {
  display: flex;
  align-items: center;
  gap: 1rem;
}


html[lang="es"] {
  .header__body_menu {
    display: flex;

    /* gap: 1.75rem; */
    .menu__item {
      padding-right: 1rem
    }
  }
}

html[lang="pt"] {
  .header__body_menu {
    display: flex;

    /* gap: 1.75rem; */
    .menu__item {
      padding-right: 1rem
    }
  }
}

@media (max-width: 1024px) {
  .header__right .header__search {
    display: none;
  }

  html[lang="es"] {
    .header__body_menu {
      display: flex;
      /* gap: 1.25rem; */

      .menu__item {
        padding-right: 0.5rem
      }
    }
  }

  html[lang="pt"] {
    .header__body_menu {
      display: flex;
      /* gap: 1.25rem; */

      .menu__item {
        padding-right: 0.5rem
      }
    }
  }
}

@media (max-width: 991px) {
  .header__menu.desktop {
    display: none;
  }
}


.header__mobile-menu {
  display: none;
}

@media (max-width: 1024px) {

  .header__mobile-menu {
    display: block;
    position: fixed;
    z-index: 30;
    top: 0;
    left: 0;
    height: 100%;
    height: 100dvh;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s ease;
  }

  .header__mobile-menu {
    .menu__bar {
      width: 303px;
      height: 100%;
      height: 100dvh;
      background-color: var(--white);
      color: var(--title-color);
      flex-direction: column;
      align-items: flex-start;
      overflow-x: hidden;
      overflow-y: auto;
      /* padding-bottom: 1rem; */
      overscroll-behavior: contain;
      transition: transform 0.3s ease;
      transform: translate3d(-100%, 0, 0);
      scrollbar-width: none;
    }

    .menu__bar::-webkit-scrollbar {
      width: 0;
    }

    .menu__bar._lock {
      overflow: hidden;
    }

    .menu__top {
      display: flex;
      align-items: center;
      width: 100%;
      padding: 1rem 1rem 2rem 1rem;
      gap: 1.5rem;
    }

    .menu__item {
      padding-right: 0;
      width: 100%;
      height: fit-content;
    }

    .menu__link {
      padding: 0 0;
      min-height: 52px;
      justify-content: space-between;
      font-size: var(--text-medium-desktop);
      line-height: var(--text-medium-line-height);
    }

    .menu__link--active {
      color: var(--green);
    }

    .dropdown {
      padding-top: 0 !important;
    }

    .dropdown {
      transition: max-height 0.3s;
      opacity: 1;
      visibility: visible;
      position: static;
      padding-top: 0px;
      max-height: 0px;
      overflow: hidden;
      box-shadow: none;
    }

    .dropdown__wrap {
      border-top: unset;
    }

    .dropdown__body {
      padding: 0.75rem 1.5rem 1.25rem;
      gap: 0px;
      background-color: var(--light-bg);
      border-radius: 12px;
    }

    .dropdown__list {
      grid-template-columns: 1fr;
      gap: 0px;
      width: 100%;
      margin-bottom: 0;
    }

    .dropdown__link {
      padding: 0.5rem 0px;
    }

    .dropdown__icon {
      display: none;
    }

    .dropdown__caption {
      font-weight: 400;
    }

    .dropdown__text {
      display: none;
    }

    .dropdown__banner {
      display: none;
    }

    .menu__arrow {
      transition: transform .3s ease;
      width: 24px;
      height: 24px;
      flex: 0 0 24px;
      justify-content: center
    }

    .menu__arrow svg,
    .language__arrow svg {
      width: 16px;
      fill: transparent !important;
    }


    .header_links {
      justify-content: space-between;
    }

    .header__buttons {
      flex-direction: column;
      width: 100%;
    }

    .header__buttons a {
      width: 100%;
    }

  }

  .header__mobile-menu.menu--open {
    visibility: visible;
    opacity: 1;

    .menu__bar {
      transform: translate3d(0, 0, 0);
    }

    .menu__overlay {
      display: block;
      position: absolute;
      z-index: -1;
      top: 0;
      left: 0;
      width: 100vw;
      height: 100%;
      background-color: var(--overlay-color);
    }

    .menu__arrow svg,
    .language__arrow svg {
      stroke: var(--title-color);
    }
  }
}

@media (max-width: 575px) {
  .header__mobile-menu {
    .header__buttons {
      display: flex;
    }
  }
}

.menu__mobile-flex {
  display: flex;
  padding: 0 1rem;
  flex-direction: column;
  justify-content: space-between;
  width: 100%;
  height: 100%;
  gap: 40px;
}